// Custom Build Actions for Game02
// This code will be directly executed in the main build script so u can access and declare global variables 

// ---------------Set the project specific globals----------------
p4ProjCodeSrc = p4CodeSrc + "/Main/";
p4ProjAssetSrc = p4AssetSrc + "/Game02/";
p4RCSource = p4CodeSrc + "/Main/Bin32/rc/";

solutionName = "CryEngineBuild.sln";		

aBuildMailingLists = new Array ("FP_Build@crytek.de","alert@crytek.de");

p4_Client = "build_" + computerName + "_" +  project.toLowerCase();

if( computerName == "mastercd" ) 
{
	// Choose the drives 
	storageDrive = "\\\\Storage";
	buildDrive = "E:";
	branchDrive = "E:";
	
	storageFolder = storageDrive + "\\builds\\procedurally_generated_builds";
	
	precachedShadersDir = "\\\\mastercd\\ShaderCache\\Version_1";
	
	latestBuildNetworkLink = "\\\\Storage\\builds\\procedurally_generated_builds";
	
	latestBuildServerPath = "\\\\storage\\builds\\Build_tools\\Build_links\\";
	
	aCompileErrorRecipientsCryEngine.push("Martin@crytek.de");
	aCompileErrorRecipientsCryEngine.push("Craig@crytek.de");
	aCompileErrorRecipientsCryEngine.push("MarcoK@crytek.de");
	
	aCompileErrorRecipientsEditorPlugin.push("sergiys@crytek.de");	
	
	aRCErrorRecipients.push("Martin@crytek.de");
	aRCErrorRecipients.push("Alexey@crytek.de");
	aRCErrorRecipients.push("MichaelS@crytek.de");
}
else if( computerName == "mastercd2" ) 
{
	if(g_platform == "ps3")
	{
		// Choose the drives 
		storageDrive = "E:";
		buildDrive = "E:";
		branchDrive = "E:";
		
		storageFolder = storageDrive + "\\Mastercds\\_Builds";
		
		precachedShadersDir = "\\\\mastercd\\ShaderCache";
		
		latestBuildNetworkLink = "\\\\mastercd2\\Mastercds\\_Builds";
		
		latestBuildServerPath = buildFilesLocation +"Latest_build.txt";	
	}
	else	
	{
		// Choose the drives 
		storageDrive = "\\\\Storage";
		buildDrive = "E:";
		branchDrive = "E:";
		
		storageFolder = storageDrive + "\\builds\\procedurally_generated_builds";
		
		precachedShadersDir = "\\\\mastercd\\ShaderCache";
		
		latestBuildNetworkLink = "\\\\Storage\\builds\\procedurally_generated_builds";
		
		latestBuildServerPath = "\\\\storage\\builds\\Build_tools\\Build_links\\";
	}
	
	aCompileErrorRecipientsCryEngine.push("Martin@crytek.de");
	aCompileErrorRecipientsCryEngine.push("Craig@crytek.de");
	aCompileErrorRecipientsCryEngine.push("MarcoK@crytek.de");
	
	aCompileErrorRecipientsEditorPlugin.push("sergiys@crytek.de");	
}
else if( computerName == "pc106" )
{
	// Choose the drives 
	storageDrive = "F:";
	buildDrive = "F:";
	branchDrive = "F:";
	
	storageFolder = storageDrive + "\\_builds";
	
	precachedShadersDir = "\\\\mastercd\\ShaderCache";
	
	latestBuildNetworkLink = "\\\\PC106\\_builds";
	
	latestBuildServerPath = buildFilesLocation +"Latest_build.txt";
	
	aCompileErrorRecipientsCryEngine.push("NickH@crytek.de");	
	aCompileErrorRecipientsEditorPlugin.push("NickH@crytek.de");	
}
else if( computerName == "hunter" )
{
	// Choose the drives 
	storageDrive = "\\\\Storage";
	buildDrive = "D:\\data";
	branchDrive = "D:\\data";
	
	storageFolder = storageDrive + "\\Special_Builds\\temp";
	
	precachedShadersDir = "\\\\mastercd\\ShaderCache";
	
	latestBuildNetworkLink = storageFolder;
	
	latestBuildServerPath = buildFilesLocation +"Latest_build.txt";
	
	p4_Client = "Build_MPSCRUM";
	p4ProjCodeSrc = p4CodeSrc + "/WorkInProgress/MPScrum/";
	p4RCSource = p4CodeSrc + "/WorkInProgress/MPScrum/Bin32/rc/";
	buildMailingList = "FP_MultiPlayer@crytek.de";
	
	aCompileErrorRecipientsCryEngine.push("Craig@crytek.de");
	aCompileErrorRecipientsCryEngine.push("Macrio@crytek.de");
	aCompileErrorRecipientsCryEngine.push("Stas@crytek.de");
	aCompileErrorRecipientsCryEngine.push("DimaK@crytek.de");
	aCompileErrorRecipientsCryEngine.push("Lin@crytek.de");
	
	aCompileErrorRecipientsEditorPlugin.push("Craig@crytek.de");
	aCompileErrorRecipientsEditorPlugin.push("Macrio@crytek.de");
}
// ---------------------------------------------------------------

	

function Pre_Init()
{
	//Empty
}

function DeleteTemporary_C()
{
	DeleteTemporary_S();
}

function Post_Init()
{
	//Empty
}

function Pre_GetCode()
{
	//Empty
}

function Post_GetCode()
{
	//Empty
}

function Pre_GetAssets()
{
	//Empty
}

function Post_GetAssets()
{
	//Empty
}

function Pre_CompileCode()
{
	//Empty
}

function Post_CompileCode()
{
	//Empty
}

function Pre_ProcessAssets()
{
	//Empty
}

function Post_ProcessAssets()
{
	//Empty
}

function Pre_MakePak()
{
	//Empty
}

function MakePakFiles_C()
{
	MakePakFiles_S();
}

function Post_MakePak()
{
	//Empty
}

function CopyBuild_C()
{
	CopyBuild_S();
}

function Pre_MakeChangesFiles()
{
	//Empty
}

function Post_MakeChangesFiles()
{
	if( computerName == "mastercd" ) 
		SaveLatestBuildPathToServer();
}

function Pre_EndLog()
{
	//Empty
}
